Name:           monotone
Summary:        A distributed version control tool
Version:        0.30
Release:        alt1.M24.1
License: GPL
Group: Development/Other
Source: http://venge.net/monotone/downloads/%{name}-%{version}.tar.gz
Source1: monotone.init
Source2: monotone.sysconfig
Source3: README.monotone-server
Patch1:  monotone-0.30.patch
Url: http://www.venge.net/monotone

# Automatically added by buildreq on Tue Aug 16 2005
BuildRequires: boost-datetime-devel boost-devel boost-filesystem-devel boost-regex-devel boost-test-devel boost-program-options boost-program-options-devel gcc-c++ libstdc++-devel zlib-devel

%description
monotone is a free, distributed version control system. it provides
fully disconnected operation, manages complete tree versions, keeps
its state in a local transactional database, supports overlapping
branches and extensible metadata, exchanges work over plain network
protocols, performs history-sensitive merging, and delegates trust
functions to client-side RSA certificates.

%package server
Summary: Standalone server setup for monotone
Requires: monotone = %version-%release
Group: Development/Other

%description server
This package provides an easy-to-use standalone server setup for monotone.

%prep
%setup -q
%patch1 -p1

%build
%configure
%make

%install
%make_install DESTDIR=%buildroot install

mkdir -p %buildroot%_sbindir
mkdir -p %buildroot%_initdir
mkdir -p %buildroot%_sysconfdir/sysconfig
mkdir -p %buildroot%_localstatedir
ln -snf ../bin/mtn %buildroot%_sbindir/monotone-server
%{__install} -c -m 0555 %SOURCE1 %buildroot%_initdir/%name
%{__install} -c -m 0644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
%{__install} -d -m 0755 %buildroot%_sysconfdir/%name
%{__install} -d -m 0750 %buildroot%_sysconfdir/%name/private-keys
%{__install} -d -m 0770 %buildroot%_localstatedir/monotone

# These do not actually wind up in the package, due to %%ghost.
%{__install} -c -m 0440 /dev/null %buildroot%_sysconfdir/%name/passphrase.lua
%{__install} -c -m 0640 /dev/null %buildroot%_sysconfdir/%name/read-permissions
%{__install} -c -m 0640 /dev/null %buildroot%_sysconfdir/%name/write-permissions
%{__install} -c -m 0644 /dev/null %buildroot%_sysconfdir/%name/monotonerc
touch %buildroot%_localstatedir/monotone/server.mtn

cp %SOURCE3 .

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%pre server
# Add the "monotone" user
/usr/sbin/useradd -c "Monotone Netsync Server" \
	-s /sbin/nologin -r -d %_localstatedir/monotone monotone 2> /dev/null || :

%post server
%post_service %name

%preun server
%preun_service %name

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.changesets UPGRADE
%doc monotone.html
%defattr(-,root,root,-)
%_bindir/mtn
%_mandir/man1/mtn.1*
%_infodir/monotone*
%_docdir/monotone

%files server
%doc README.monotone-server
%defattr(-,root,root,-)
%_sbindir/monotone-server
%_initdir/%name
%config %_sysconfdir/sysconfig/%name
%dir %attr(0755,root,monotone) %_sysconfdir/%name
%dir %attr(0750,root,monotone) %_sysconfdir/%name/private-keys
%attr(0640,root,monotone) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) %_sysconfdir/%name/monotonerc
%attr(0440,root,monotone) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) %_sysconfdir/%name/passphrase.lua
%attr(0640,root,monotone) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) %_sysconfdir/%name/read-permissions
%attr(0640,root,monotone) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) %_sysconfdir/%name/write-permissions
%dir %attr(0770,monotone,monotone) %_localstatedir/monotone
%attr(0660,monotone,monotone) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) %_localstatedir/monotone/server.mtn

%changelog
* Tue Dec 05 2006 Yurii Diduh <jmura@altlinux.ru> 0.30-alt1.M24.1
- Backport to Master 2.4
- Patch cmd.hh (bug #18148)

* Thu Oct 12 2006 Evgeny Sinelnikov <sin@altlinux.ru> 0.30-alt1
- Updated for 0.30 release
- Added monotone-server package from FC development build

* Fri Aug 12 2005 Sergey Ivanov <seriv@altlinux.ru> 0.22-alt1
update to version 0.22

* Fri Jul 08 2005 Sergey Ivanov <seriv@altlinux.ru> 0.20-alt1
- Updated to 0.20

* Fri Jun 17 2005 Sergey Ivanov <seriv@altlinux.ru> 0.19-alt1
- Updated to 0.19

* Wed Apr 13 2005 Sergey Ivanov <seriv@altlinux.ru> 0.18-alt1
- Updated to 0.18

* Tue Apr 12 2005 Sergey Ivanov <seriv@altlinux.ru> 0.16-alt1
- Adopted for Altlinux

* Mon Feb 07 2005 Michael Scherer <misc@mandrake.org> 0.16-1mdk
- New release 0.16

* Sat Nov 13 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk
- New release 0.15

* Wed Aug 11 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.14-1mdk
- new version

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk 
- rebuild for new gcc ( patch #0 )


* Thu Jun 03 2004 Michael Scherer <misc@mandrake.org> 0.13-1mdk
- rpmbuildupdate aware
- BuildRequires
- from Nick Brown <nickbroon@blueyonder.co.uk>
  - First Mandrake package release
